tickPrice(tickerId::Int, field::String, price::Union{Float64,Nothing}, size::Union{Float64,Nothing}, attrib::TickAttrib)

tickSize(tickerId::Int, field::String, size::Float64)

tickOptionComputation(tickerId::Int, tickType::String, tickAttrib::Int, impliedVol::Union{Float64,Nothing}, delta::Union{Float64,Nothing}, optPrice::Union{Float64,Nothing}, pvDividend::Union{Float64,Nothing}, gamma::Union{Float64,Nothing}, vega::Union{Float64,Nothing}, theta::Union{Float64,Nothing}, undPrice::Union{Float64,Nothing})

tickGeneric(tickerId::Int, tickType::String, value::Float64)

tickString(tickerId::Int, tickType::String, value::String)

tickEFP(tickerId::Int, tickType::String, basisPoints::Float64, formattedBasisPoints::String, totalDividends::Float64, holdDays::Int, futureLastTradeDate::String, dividendImpact::Float64, dividendsToLastTradeDate::Float64)

orderStatus(orderId::Int, status::String, filled::Float64, remaining::Float64, avgFillPrice::Float64, permId::Int, parentId::Int, lastFillPrice::Float64, clientId::Int, whyHeld::String, mktCapPrice::Float64)

openOrder(orderId::Int, contract::Contract, order::Order, orderstate::OrderState)

openOrderEnd()

updateAccountValue(key::String, val::String, currency::String, accountName::String)

updatePortfolio(contract::Contract, position::Float64, marketPrice::Float64, marketValue::Float64, averageCost::Float64, unrealizedPNL::Float64, realizedPNL::Float64, accountName::String)

updateAccountTime(timeStamp::String)

accountDownloadEnd(accountName::String)

nextValidId(orderId::Int)

contractDetails(reqId::Int, contractDetails::ContractDetails)

bondContractDetails(reqId::Int, contractDetails::ContractDetails)

contractDetailsEnd(reqId::Int)

execDetails(reqId::Int, contract::Contract, execution::Execution)

execDetailsEnd(reqId::Int)

error(id::Union{Int,Nothing}, errorCode::Union{Int,Nothing}, errorString::String, advancedOrderRejectJson::String)

updateMktDepth(id::Int, position::Int, operation::Int, side::Int, price::Float64, size::Float64)

updateMktDepthL2(id::Int, position::Int, marketMaker::String, operation::Int, side::Int, price::Float64, size::Float64, isSmartDepth::Bool)

updateNewsBulletin(msgId::Int, msgType::Int, newsMessage::String, originExch::String)

managedAccounts(accountsList::String)

receiveFA(faDataType::FaDataType, xml::String)

historicalData(reqId::Int, bar::Dict)

scannerParameters(xml::String)

scannerData(reqId::Int, rank::Vector{Int}, contractDetails::Vector{ContractDetails}, distance::Vector{String}, benchmark::Vector{String}, projection::Vector{String}, legsStr::Vector{String})

realtimeBar(reqId::Int, time::Int, open::Float64, high::Float64, low::Float64, close::Float64, volume::Float64, wap::Float64, count::Int)

currentTime(time::Int)

fundamentalData(reqId::Int, data::String)

deltaNeutralValidation(reqId::Int, deltaNeutralContract::DeltaNeutralContract)

tickSnapshotEnd(reqId::Int)

marketDataType(reqId::Int, marketDataType::MarketDataType)

commissionReport(commissionReport::CommissionReport)

position(account::String, contract::Contract, position::Float64, avgCost::Float64)

positionEnd()

accountSummary(reqId::Int, account::String, tag::String, value::String, currency::String)

accountSummaryEnd(reqId::Int)

verifyMessageAPI(apiData::String)

verifyCompleted(isSuccessful::Bool, errorText::String)

displayGroupList(reqId::Int, groups::String)

displayGroupUpdated(reqId::Int, contractInfo::String)

verifyAndAuthMessageAPI(apiData::String, xyzChallange::String)

verifyAndAuthCompleted(isSuccessful::Bool, errorText::String)

positionMulti(reqId::Int, account::String, modelCode::String, contract::Contract, position::Float64, avgCost::Float64)

positionMultiEnd(reqId::Int)

accountUpdateMulti(reqId::Int, account::String, modelCode::String, key::String, value::String, currency::String)

accountUpdateMultiEnd(reqId::Int)

securityDefinitionOptionalParameter(reqId::Int, exchange::String, underlyingConId::Int, tradingClass::String, multiplier::String, expirations::Vector{String}, strikes::Vector{Float64})

securityDefinitionOptionalParameterEnd(reqId::Int)

softDollarTiers(reqId::Int, tiers::Vector{SoftDollarTier})

familyCodes(familyCodes::Vector{FamilyCode})

symbolSamples(reqId::Int, contractDescriptions::Vector{ContractDescription})

mktDepthExchanges(depthMktDataDescriptions::Dict)

tickNews(tickerId::Int, timeStamp::Int, providerCode::String, articleId::String, headline::String, extraData::String)

smartComponents(reqId::Int, theMap::Dict)

tickReqParams(tickerId::Int, minTick::Union{Float64,Nothing}, bboExchange::String, snapshotPermissions::Int)

newsProviders(newsProviders::Dict)

newsArticle(requestId::Int, articleType::Int, articleText::String)

historicalNews(requestId::Int, time::String, providerCode::String, articleId::String, headline::String)

historicalNewsEnd(requestId::Int, hasMore::Bool)

headTimestamp(reqId::Int, headTimestamp::String)

histogramData(reqId::Int, data::Dict)

historicalDataUpdate(reqId::Int, bar::Bar)

rerouteMktDataReq(reqId::Int, conid::Int, exchange::String)

rerouteMktDepthReq(reqId::Int, conid::Int, exchange::String)

marketRule(marketRuleId::Int, priceIncrements::Dict)

pnl(reqId::Int, dailyPnL::Float64, unrealizedPnL::Float64, realizedPnL::Float64)

pnlSingle(reqId::Int, pos::Int, dailyPnL::Float64, unrealizedPnL::Union{Float64,Nothing}, realizedPnL::Union{Float64,Nothing}, value::Float64)

historicalTicks(reqId::Int, ticks::Dict, done::Bool)

historicalTicksBidAsk(reqId::Int, ticks::Dict, done::Bool)

historicalTicksLast(reqId::Int, ticks::Dict, done::Bool)

tickByTickAllLast(reqId::Int, tickType::Int, time::Int, price::Float64, size::Float64, attribs::TickAttribLast, exchange::String, specialConditions::String)

tickByTickBidAsk(reqId::Int, time::Int, bidPrice::Float64, askPrice::Float64, bidSize::Float64, askSize::Float64, attribs::TickAttribBidAsk)

tickByTickMidPoint(reqId::Int, time::Int, midPoint::Float64)

orderBound(orderId::Int, apiClientId::Int, apiOrderId::Int)

completedOrder(contract::Contract, order::Order, orderState::OrderState)

completedOrdersEnd()

replaceFAEnd(reqId::Int, text::String)

wshMetaData(reqId::Int, dataJson::String)

wshEventData(reqId::Int, dataJson::String)

historicalSchedule(reqId::Int, startDateTime::String, endDateTime::String, timeZone::String, sessions::Dict)

userInfo(reqId::Int, whiteBrandingId::String)
